1#! /bin/sh
2# Generated by configure.
3# Run this file to recreate the current configuration.
4# Compiler output produced by configure, useful for debugging
5# configure, is in config.log if it exists.
6
7debug=false
8ac_cs_recheck=false
9ac_cs_silent=false
10SHELL=${CONFIG_SHELL-/bin/sh}
11## --------------------- ##
12## M4sh Initialization.  ##
13## --------------------- ##
14
15# Be Bourne compatible
16if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
17  emulate sh
18  NULLCMD=:
19  # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
20  # is contrary to our usage.  Disable this feature.
21  alias -g '${1+"$@"}'='"$@"'
22elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
23  set -o posix
24fi
25DUALCASE=1; export DUALCASE # for MKS sh
26
27# Support unset when possible.
28if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
29  as_unset=unset
30else
31  as_unset=false
32fi
33
34
35# Work around bugs in pre-3.0 UWIN ksh.
36$as_unset ENV MAIL MAILPATH
37PS1='$ '
38PS2='> '
39PS4='+ '
40
41# NLS nuisances.
42for as_var in \
43  LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
44  LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
45  LC_TELEPHONE LC_TIME
46do
47  if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
48    eval $as_var=C; export $as_var
49  else
50    $as_unset $as_var
51  fi
52done
53
54# Required to use basename.
55if expr a : '\(a\)' >/dev/null 2>&1; then
56  as_expr=expr
57else
58  as_expr=false
59fi
60
61if (basename /) >/dev/null 2>&1 && test "X`basename / 2>&1`" = "X/"; then
62  as_basename=basename
63else
64  as_basename=false
65fi
66
67
68# Name of the executable.
69as_me=`$as_basename "$0" ||
70$as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
71	 X"$0" : 'X\(//\)$' \| \
72	 X"$0" : 'X\(/\)$' \| \
73	 .     : '\(.\)' 2>/dev/null ||
74echo X/"$0" |
75    sed '/^.*\/\([^/][^/]*\)\/*$/{ s//\1/; q; }
76  	  /^X\/\(\/\/\)$/{ s//\1/; q; }
77  	  /^X\/\(\/\).*/{ s//\1/; q; }
78  	  s/.*/./; q'`
79
80
81# PATH needs CR, and LINENO needs CR and PATH.
82# Avoid depending upon Character Ranges.
83as_cr_letters='abcdefghijklmnopqrstuvwxyz'
84as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
85as_cr_Letters=$as_cr_letters$as_cr_LETTERS
86as_cr_digits='0123456789'
87as_cr_alnum=$as_cr_Letters$as_cr_digits
88
89# The user is always right.
90if test "${PATH_SEPARATOR+set}" != set; then
91  echo "#! /bin/sh" >conf$$.sh
92  echo  "exit 0"   >>conf$$.sh
93  chmod +x conf$$.sh
94  if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
95    PATH_SEPARATOR=';'
96  else
97    PATH_SEPARATOR=:
98  fi
99  rm -f conf$$.sh
100fi
101
102
103  as_lineno_1=$LINENO
104  as_lineno_2=$LINENO
105  as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
106  test "x$as_lineno_1" != "x$as_lineno_2" &&
107  test "x$as_lineno_3"  = "x$as_lineno_2"  || {
108  # Find who we are.  Look in the path if we contain no path at all
109  # relative or not.
110  case $0 in
111    *[\\/]* ) as_myself=$0 ;;
112    *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
113for as_dir in $PATH
114do
115  IFS=$as_save_IFS
116  test -z "$as_dir" && as_dir=.
117  test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
118done
119
120       ;;
121  esac
122  # We did not find ourselves, most probably we were run as `sh COMMAND'
123  # in which case we are not to be found in the path.
124  if test "x$as_myself" = x; then
125    as_myself=$0
126  fi
127  if test ! -f "$as_myself"; then
128    { { echo "$as_me:$LINENO: error: cannot find myself; rerun with an absolute path" >&5
129echo "$as_me: error: cannot find myself; rerun with an absolute path" >&2;}
130   { (exit 1); exit 1; }; }
131  fi
132  case $CONFIG_SHELL in
133  '')
134    as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
135for as_dir in /bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH
136do
137  IFS=$as_save_IFS
138  test -z "$as_dir" && as_dir=.
139  for as_base in sh bash ksh sh5; do
140	 case $as_dir in
141	 /*)
142	   if ("$as_dir/$as_base" -c '
143  as_lineno_1=$LINENO
144  as_lineno_2=$LINENO
145  as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
146  test "x$as_lineno_1" != "x$as_lineno_2" &&
147  test "x$as_lineno_3"  = "x$as_lineno_2" ') 2>/dev/null; then
148	     $as_unset BASH_ENV || test "${BASH_ENV+set}" != set || { BASH_ENV=; export BASH_ENV; }
149	     $as_unset ENV || test "${ENV+set}" != set || { ENV=; export ENV; }
150	     CONFIG_SHELL=$as_dir/$as_base
151	     export CONFIG_SHELL
152	     exec "$CONFIG_SHELL" "$0" ${1+"$@"}
153	   fi;;
154	 esac
155       done
156done
157;;
158  esac
159
160  # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
161  # uniformly replaced by the line number.  The first 'sed' inserts a
162  # line-number line before each line; the second 'sed' does the real
163  # work.  The second script uses 'N' to pair each line-number line
164  # with the numbered line, and appends trailing '-' during
165  # substitution so that $LINENO is not a special case at line end.
166  # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
167  # second 'sed' script.  Blame Lee E. McMahon for sed's syntax.  :-)
168  sed '=' <$as_myself |
169    sed '
170      N
171      s,$,-,
172      : loop
173      s,^\(['$as_cr_digits']*\)\(.*\)[$]LINENO\([^'$as_cr_alnum'_]\),\1\2\1\3,
174      t loop
175      s,-$,,
176      s,^['$as_cr_digits']*\n,,
177    ' >$as_me.lineno &&
178  chmod +x $as_me.lineno ||
179    { { echo "$as_me:$LINENO: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&5
180echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2;}
181   { (exit 1); exit 1; }; }
182
183  # Don't try to exec as it changes $[0], causing all sort of problems
184  # (the dirname of $[0] is not the place where we might find the
185  # original and so on.  Autoconf is especially sensible to this).
186  . ./$as_me.lineno
187  # Exit status is that of the last command.
188  exit
189}
190
191
192case `echo "testing\c"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in
193  *c*,-n*) ECHO_N= ECHO_C='
194' ECHO_T='	' ;;
195  *c*,*  ) ECHO_N=-n ECHO_C= ECHO_T= ;;
196  *)       ECHO_N= ECHO_C='\c' ECHO_T= ;;
197esac
198
199if expr a : '\(a\)' >/dev/null 2>&1; then
200  as_expr=expr
201else
202  as_expr=false
203fi
204
205rm -f conf$$ conf$$.exe conf$$.file
206echo >conf$$.file
207if ln -s conf$$.file conf$$ 2>/dev/null; then
208  # We could just check for DJGPP; but this test a) works b) is more generic
209  # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
210  if test -f conf$$.exe; then
211    # Don't use ln at all; we don't have any links
212    as_ln_s='cp -p'
213  else
214    as_ln_s='ln -s'
215  fi
216elif ln conf$$.file conf$$ 2>/dev/null; then
217  as_ln_s=ln
218else
219  as_ln_s='cp -p'
220fi
221rm -f conf$$ conf$$.exe conf$$.file
222
223if mkdir -p . 2>/dev/null; then
224  as_mkdir_p=:
225else
226  test -d ./-p && rmdir ./-p
227  as_mkdir_p=false
228fi
229
230as_executable_p="test -f"
231
232# Sed expression to map a string onto a valid CPP name.
233as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
234
235# Sed expression to map a string onto a valid variable name.
236as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
237
238
239# IFS
240# We need space, tab and new line, in precisely that order.
241as_nl='
242'
243IFS=" 	$as_nl"
244
245# CDPATH.
246$as_unset CDPATH
247
248exec 6>&1
249
250# Open the log real soon, to keep \$[0] and so on meaningful, and to
251# report actual input values of CONFIG_FILES etc. instead of their
252# values after options handling.  Logging --version etc. is OK.
253exec 5>>config.log
254{
255  echo
256  sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
257## Running $as_me. ##
258_ASBOX
259} >&5
260cat >&5 <<_CSEOF
261
262This file was extended by $as_me, which was
263generated by GNU Autoconf 2.59.  Invocation command line was
264
265  CONFIG_FILES    = $CONFIG_FILES
266  CONFIG_HEADERS  = $CONFIG_HEADERS
267  CONFIG_LINKS    = $CONFIG_LINKS
268  CONFIG_COMMANDS = $CONFIG_COMMANDS
269  $ $0 $@
270
271_CSEOF
272echo "on `(hostname || uname -n) 2>/dev/null | sed 1q`" >&5
273echo >&5
274config_files=" Makefile"
275config_headers=" src/include/conf.h"
276
277ac_cs_usage="\
278\`$as_me' instantiates files from templates according to the
279current configuration.
280
281Usage: $0 [OPTIONS] [FILE]...
282
283  -h, --help       print this help, then exit
284  -V, --version    print version number, then exit
285  -q, --quiet      do not print progress messages
286  -d, --debug      don't remove temporary files
287      --recheck    update $as_me by reconfiguring in the same conditions
288  --file=FILE[:TEMPLATE]
289		   instantiate the configuration file FILE
290  --header=FILE[:TEMPLATE]
291		   instantiate the configuration header FILE
292
293Configuration files:
294$config_files
295
296Configuration headers:
297$config_headers
298
299Report bugs to <bug-autoconf@gnu.org>."
300ac_cs_version="\
301config.status
302configured by ./configure, generated by GNU Autoconf 2.59,
303  with options \"'-v'\"
304
305Copyright (C) 2003 Free Software Foundation, Inc.
306This config.status script is free software; the Free Software Foundation
307gives unlimited permission to copy, distribute and modify it."
308srcdir=.
309INSTALL="/usr/bin/install -c"
310# If no file are specified by the user, then we need to provide default
311# value.  By we need to know if files were specified by the user.
312ac_need_defaults=:
313while test $# != 0
314do
315  case $1 in
316  --*=*)
317    ac_option=`expr "x$1" : 'x\([^=]*\)='`
318    ac_optarg=`expr "x$1" : 'x[^=]*=\(.*\)'`
319    ac_shift=:
320    ;;
321  -*)
322    ac_option=$1
323    ac_optarg=$2
324    ac_shift=shift
325    ;;
326  *) # This is not an option, so the user has probably given explicit
327     # arguments.
328     ac_option=$1
329     ac_need_defaults=false;;
330  esac
331
332  case $ac_option in
333  # Handling of the options.
334  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
335    ac_cs_recheck=: ;;
336  --version | --vers* | -V )
337    echo "$ac_cs_version"; exit 0 ;;
338  --he | --h)
339    # Conflict between --help and --header
340    { { echo "$as_me:$LINENO: error: ambiguous option: $1
341Try \`$0 --help' for more information." >&5
342echo "$as_me: error: ambiguous option: $1
343Try \`$0 --help' for more information." >&2;}
344   { (exit 1); exit 1; }; };;
345  --help | --hel | -h )
346    echo "$ac_cs_usage"; exit 0 ;;
347  --debug | --d* | -d )
348    debug=: ;;
349  --file | --fil | --fi | --f )
350    $ac_shift
351    CONFIG_FILES="$CONFIG_FILES $ac_optarg"
352    ac_need_defaults=false;;
353  --header | --heade | --head | --hea )
354    $ac_shift
355    CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
356    ac_need_defaults=false;;
357  -q | -quiet | --quiet | --quie | --qui | --qu | --q \
358  | -silent | --silent | --silen | --sile | --sil | --si | --s)
359    ac_cs_silent=: ;;
360
361  # This is an error.
362  -*) { { echo "$as_me:$LINENO: error: unrecognized option: $1
363Try \`$0 --help' for more information." >&5
364echo "$as_me: error: unrecognized option: $1
365Try \`$0 --help' for more information." >&2;}
366   { (exit 1); exit 1; }; } ;;
367
368  *) ac_config_targets="$ac_config_targets $1" ;;
369
370  esac
371  shift
372done
373
374ac_configure_extra_args=
375
376if $ac_cs_silent; then
377  exec 6>/dev/null
378  ac_configure_extra_args="$ac_configure_extra_args --silent"
379fi
380
381if $ac_cs_recheck; then
382  echo "running /bin/sh ./configure " '-v' $ac_configure_extra_args " --no-create --no-recursion" >&6
383  exec /bin/sh ./configure '-v' $ac_configure_extra_args --no-create --no-recursion
384fi
385
386for ac_config_target in $ac_config_targets
387do
388  case "$ac_config_target" in
389  # Handling of arguments.
390  "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
391  "src/include/conf.h" ) CONFIG_HEADERS="$CONFIG_HEADERS src/include/conf.h" ;;
392  *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
393echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
394   { (exit 1); exit 1; }; };;
395  esac
396done
397
398# If the user did not use the arguments to specify the items to instantiate,
399# then the envvar interface is used.  Set only those that are not.
400# We use the long form for the default assignment because of an extremely
401# bizarre bug on SunOS 4.1.3.
402if $ac_need_defaults; then
403  test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
404  test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
405fi
406
407# Have a temporary directory for convenience.  Make it in the build tree
408# simply because there is no reason to put it here, and in addition,
409# creating and moving files from /tmp can sometimes cause problems.
410# Create a temporary directory, and hook for its removal unless debugging.
411$debug ||
412{
413  trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0
414  trap '{ (exit 1); exit 1; }' 1 2 13 15
415}
416
417# Create a (secure) tmp directory for tmp files.
418
419{
420  tmp=`(umask 077 && mktemp -d -q "./confstatXXXXXX") 2>/dev/null` &&
421  test -n "$tmp" && test -d "$tmp"
422}  ||
423{
424  tmp=./confstat$$-$RANDOM
425  (umask 077 && mkdir $tmp)
426} ||
427{
428   echo "$me: cannot create a temporary directory in ." >&2
429   { (exit 1); exit 1; }
430}
431
432
433#
434# CONFIG_FILES section.
435#
436
437# No need to generate the scripts if there are no CONFIG_FILES.
438# This happens for instance when ./config.status config.h
439if test -n "$CONFIG_FILES"; then
440  # Protect against being on the right side of a sed subst in config.status.
441  sed 's/,@/@@/; s/@,/@@/; s/,;t t$/@;t t/; /@;t t$/s/[\\&,]/\\&/g;
442   s/@@/,@/; s/@@/@,/; s/@;t t$/,;t t/' >$tmp/subs.sed <<\CEOF
443s,@SHELL@,/bin/sh,;t t
444s,@PATH_SEPARATOR@,:,;t t
445s,@PACKAGE_NAME@,,;t t
446s,@PACKAGE_TARNAME@,,;t t
447s,@PACKAGE_VERSION@,,;t t
448s,@PACKAGE_STRING@,,;t t
449s,@PACKAGE_BUGREPORT@,,;t t
450s,@exec_prefix@,${prefix},;t t
451s,@prefix@,/usr/local,;t t
452s,@program_transform_name@,s,x,x,,;t t
453s,@bindir@,${exec_prefix}/bin,;t t
454s,@sbindir@,${exec_prefix}/sbin,;t t
455s,@libexecdir@,${exec_prefix}/libexec,;t t
456s,@datadir@,${prefix}/share,;t t
457s,@sysconfdir@,${prefix}/etc,;t t
458s,@sharedstatedir@,${prefix}/com,;t t
459s,@localstatedir@,${prefix}/var,;t t
460s,@libdir@,${exec_prefix}/lib,;t t
461s,@includedir@,${prefix}/include,;t t
462s,@oldincludedir@,/usr/include,;t t
463s,@infodir@,${prefix}/info,;t t
464s,@mandir@,${prefix}/man,;t t
465s,@build_alias@,,;t t
466s,@host_alias@,,;t t
467s,@target_alias@,,;t t
468s,@DEFS@,-DHAVE_CONFIG_H,;t t
469s,@ECHO_C@,,;t t
470s,@ECHO_N@,-n,;t t
471s,@ECHO_T@,,;t t
472s,@LIBS@,,;t t
473s,@CC@,gcc,;t t
474s,@CFLAGS@,-g -O2,;t t
475s,@LDFLAGS@,,;t t
476s,@CPPFLAGS@,,;t t
477s,@ac_ct_CC@,gcc,;t t
478s,@EXEEXT@,,;t t
479s,@OBJEXT@,o,;t t
480s,@LN_S@,ln -s,;t t
481s,@SET_MAKE@,,;t t
482s,@INSTALL_PROGRAM@,${INSTALL},;t t
483s,@INSTALL_SCRIPT@,${INSTALL},;t t
484s,@INSTALL_DATA@,${INSTALL} -m 644,;t t
485s,@build@,i686-pc-linux-gnu,;t t
486s,@build_cpu@,i686,;t t
487s,@build_vendor@,pc,;t t
488s,@build_os@,linux-gnu,;t t
489s,@host@,i686-pc-linux-gnu,;t t
490s,@host_cpu@,i686,;t t
491s,@host_vendor@,pc,;t t
492s,@host_os@,linux-gnu,;t t
493s,@CPP@,gcc -E,;t t
494s,@EGREP@,grep -E,;t t
495s,@LIBOBJS@,,;t t
496s,@THREAD_LIBS@,-lpthread,;t t
497s,@OS@,Linux,;t t
498s,@LTLIBOBJS@,,;t t
499CEOF
500
501  # Split the substitutions into bite-sized pieces for seds with
502  # small command number limits, like on Digital OSF/1 and HP-UX.
503  ac_max_sed_lines=48
504  ac_sed_frag=1 # Number of current file.
505  ac_beg=1 # First line for current file.
506  ac_end=$ac_max_sed_lines # Line after last line for current file.
507  ac_more_lines=:
508  ac_sed_cmds=
509  while $ac_more_lines; do
510    if test $ac_beg -gt 1; then
511      sed "1,${ac_beg}d; ${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
512    else
513      sed "${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
514    fi
515    if test ! -s $tmp/subs.frag; then
516      ac_more_lines=false
517    else
518      # The purpose of the label and of the branching condition is to
519      # speed up the sed processing (if there are no `@' at all, there
520      # is no need to browse any of the substitutions).
521      # These are the two extra sed commands mentioned above.
522      (echo ':t
523  /@[a-zA-Z_][a-zA-Z_0-9]*@/!b' && cat $tmp/subs.frag) >$tmp/subs-$ac_sed_frag.sed
524      if test -z "$ac_sed_cmds"; then
525	ac_sed_cmds="sed -f $tmp/subs-$ac_sed_frag.sed"
526      else
527	ac_sed_cmds="$ac_sed_cmds | sed -f $tmp/subs-$ac_sed_frag.sed"
528      fi
529      ac_sed_frag=`expr $ac_sed_frag + 1`
530      ac_beg=$ac_end
531      ac_end=`expr $ac_end + $ac_max_sed_lines`
532    fi
533  done
534  if test -z "$ac_sed_cmds"; then
535    ac_sed_cmds=cat
536  fi
537fi # test -n "$CONFIG_FILES"
538
539for ac_file in : $CONFIG_FILES; do test "x$ac_file" = x: && continue
540  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
541  case $ac_file in
542  - | *:- | *:-:* ) # input from stdin
543	cat >$tmp/stdin
544	ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
545	ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
546  *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
547	ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
548  * )   ac_file_in=$ac_file.in ;;
549  esac
550
551  # Compute @srcdir@, @top_srcdir@, and @INSTALL@ for subdirectories.
552  ac_dir=`(dirname "$ac_file") 2>/dev/null ||
553$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
554	 X"$ac_file" : 'X\(//\)[^/]' \| \
555	 X"$ac_file" : 'X\(//\)$' \| \
556	 X"$ac_file" : 'X\(/\)' \| \
557	 .     : '\(.\)' 2>/dev/null ||
558echo X"$ac_file" |
559    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
560  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
561  	  /^X\(\/\/\)$/{ s//\1/; q; }
562  	  /^X\(\/\).*/{ s//\1/; q; }
563  	  s/.*/./; q'`
564  { if $as_mkdir_p; then
565    mkdir -p "$ac_dir"
566  else
567    as_dir="$ac_dir"
568    as_dirs=
569    while test ! -d "$as_dir"; do
570      as_dirs="$as_dir $as_dirs"
571      as_dir=`(dirname "$as_dir") 2>/dev/null ||
572$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
573	 X"$as_dir" : 'X\(//\)[^/]' \| \
574	 X"$as_dir" : 'X\(//\)$' \| \
575	 X"$as_dir" : 'X\(/\)' \| \
576	 .     : '\(.\)' 2>/dev/null ||
577echo X"$as_dir" |
578    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
579  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
580  	  /^X\(\/\/\)$/{ s//\1/; q; }
581  	  /^X\(\/\).*/{ s//\1/; q; }
582  	  s/.*/./; q'`
583    done
584    test ! -n "$as_dirs" || mkdir $as_dirs
585  fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
586echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
587   { (exit 1); exit 1; }; }; }
588
589  ac_builddir=.
590
591if test "$ac_dir" != .; then
592  ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
593  # A "../" for each directory in $ac_dir_suffix.
594  ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
595else
596  ac_dir_suffix= ac_top_builddir=
597fi
598
599case $srcdir in
600  .)  # No --srcdir option.  We are building in place.
601    ac_srcdir=.
602    if test -z "$ac_top_builddir"; then
603       ac_top_srcdir=.
604    else
605       ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
606    fi ;;
607  [\\/]* | ?:[\\/]* )  # Absolute path.
608    ac_srcdir=$srcdir$ac_dir_suffix;
609    ac_top_srcdir=$srcdir ;;
610  *) # Relative path.
611    ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
612    ac_top_srcdir=$ac_top_builddir$srcdir ;;
613esac
614
615# Do not use `cd foo && pwd` to compute absolute paths, because
616# the directories may not exist.
617case `pwd` in
618.) ac_abs_builddir="$ac_dir";;
619*)
620  case "$ac_dir" in
621  .) ac_abs_builddir=`pwd`;;
622  [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dir";;
623  *) ac_abs_builddir=`pwd`/"$ac_dir";;
624  esac;;
625esac
626case $ac_abs_builddir in
627.) ac_abs_top_builddir=${ac_top_builddir}.;;
628*)
629  case ${ac_top_builddir}. in
630  .) ac_abs_top_builddir=$ac_abs_builddir;;
631  [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
632  *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
633  esac;;
634esac
635case $ac_abs_builddir in
636.) ac_abs_srcdir=$ac_srcdir;;
637*)
638  case $ac_srcdir in
639  .) ac_abs_srcdir=$ac_abs_builddir;;
640  [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
641  *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
642  esac;;
643esac
644case $ac_abs_builddir in
645.) ac_abs_top_srcdir=$ac_top_srcdir;;
646*)
647  case $ac_top_srcdir in
648  .) ac_abs_top_srcdir=$ac_abs_builddir;;
649  [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
650  *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
651  esac;;
652esac
653
654
655  case $INSTALL in
656  [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
657  *) ac_INSTALL=$ac_top_builddir$INSTALL ;;
658  esac
659
660  # Let's still pretend it is `configure' which instantiates (i.e., don't
661  # use $as_me), people would be surprised to read:
662  #    /* config.h.  Generated by config.status.  */
663  if test x"$ac_file" = x-; then
664    configure_input=
665  else
666    configure_input="$ac_file.  "
667  fi
668  configure_input=$configure_input"Generated from `echo $ac_file_in |
669				     sed 's,.*/,,'` by configure."
670
671  # First look for the input files in the build tree, otherwise in the
672  # src tree.
673  ac_file_inputs=`IFS=:
674    for f in $ac_file_in; do
675      case $f in
676      -) echo $tmp/stdin ;;
677      [\\/$]*)
678	 # Absolute (can't be DOS-style, as IFS=:)
679	 test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
680echo "$as_me: error: cannot find input file: $f" >&2;}
681   { (exit 1); exit 1; }; }
682	 echo "$f";;
683      *) # Relative
684	 if test -f "$f"; then
685	   # Build tree
686	   echo "$f"
687	 elif test -f "$srcdir/$f"; then
688	   # Source tree
689	   echo "$srcdir/$f"
690	 else
691	   # /dev/null tree
692	   { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
693echo "$as_me: error: cannot find input file: $f" >&2;}
694   { (exit 1); exit 1; }; }
695	 fi;;
696      esac
697    done` || { (exit 1); exit 1; }
698
699  if test x"$ac_file" != x-; then
700    { echo "$as_me:$LINENO: creating $ac_file" >&5
701echo "$as_me: creating $ac_file" >&6;}
702    rm -f "$ac_file"
703  fi
704  sed "/^[	 ]*VPATH[	 ]*=/{
705s/:*\$(srcdir):*/:/;
706s/:*\${srcdir}:*/:/;
707s/:*@srcdir@:*/:/;
708s/^\([^=]*=[	 ]*\):*/\1/;
709s/:*$//;
710s/^[^=]*=[	 ]*$//;
711}
712
713:t
714/@[a-zA-Z_][a-zA-Z_0-9]*@/!b
715s,@configure_input@,$configure_input,;t t
716s,@srcdir@,$ac_srcdir,;t t
717s,@abs_srcdir@,$ac_abs_srcdir,;t t
718s,@top_srcdir@,$ac_top_srcdir,;t t
719s,@abs_top_srcdir@,$ac_abs_top_srcdir,;t t
720s,@builddir@,$ac_builddir,;t t
721s,@abs_builddir@,$ac_abs_builddir,;t t
722s,@top_builddir@,$ac_top_builddir,;t t
723s,@abs_top_builddir@,$ac_abs_top_builddir,;t t
724s,@INSTALL@,$ac_INSTALL,;t t
725" $ac_file_inputs | (eval "$ac_sed_cmds") >$tmp/out
726  rm -f $tmp/stdin
727  if test x"$ac_file" != x-; then
728    mv $tmp/out $ac_file
729  else
730    cat $tmp/out
731    rm -f $tmp/out
732  fi
733
734done
735
736#
737# CONFIG_HEADER section.
738#
739
740# These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
741# NAME is the cpp macro being defined and VALUE is the value it is being given.
742#
743# ac_d sets the value in "#define NAME VALUE" lines.
744ac_dA='s,^\([	 ]*\)#\([	 ]*define[	 ][	 ]*\)'
745ac_dB='[	 ].*$,\1#\2'
746ac_dC=' '
747ac_dD=',;t'
748# ac_u turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
749ac_uA='s,^\([	 ]*\)#\([	 ]*\)undef\([	 ][	 ]*\)'
750ac_uB='$,\1#\2define\3'
751ac_uC=' '
752ac_uD=',;t'
753
754for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
755  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
756  case $ac_file in
757  - | *:- | *:-:* ) # input from stdin
758	cat >$tmp/stdin
759	ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
760	ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
761  *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
762	ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
763  * )   ac_file_in=$ac_file.in ;;
764  esac
765
766  test x"$ac_file" != x- && { echo "$as_me:$LINENO: creating $ac_file" >&5
767echo "$as_me: creating $ac_file" >&6;}
768
769  # First look for the input files in the build tree, otherwise in the
770  # src tree.
771  ac_file_inputs=`IFS=:
772    for f in $ac_file_in; do
773      case $f in
774      -) echo $tmp/stdin ;;
775      [\\/$]*)
776	 # Absolute (can't be DOS-style, as IFS=:)
777	 test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
778echo "$as_me: error: cannot find input file: $f" >&2;}
779   { (exit 1); exit 1; }; }
780	 # Do quote $f, to prevent DOS paths from being IFS'd.
781	 echo "$f";;
782      *) # Relative
783	 if test -f "$f"; then
784	   # Build tree
785	   echo "$f"
786	 elif test -f "$srcdir/$f"; then
787	   # Source tree
788	   echo "$srcdir/$f"
789	 else
790	   # /dev/null tree
791	   { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
792echo "$as_me: error: cannot find input file: $f" >&2;}
793   { (exit 1); exit 1; }; }
794	 fi;;
795      esac
796    done` || { (exit 1); exit 1; }
797  # Remove the trailing spaces.
798  sed 's/[	 ]*$//' $ac_file_inputs >$tmp/in
799
800  # Handle all the #define templates only if necessary.
801  if grep "^[	 ]*#[	 ]*define" $tmp/in >/dev/null; then
802  # If there are no defines, we may have an empty if/fi
803  :
804  cat >$tmp/defines.sed <<CEOF
805/^[	 ]*#[	 ]*define/!b
806t clr
807: clr
808${ac_dA}PACKAGE_NAME${ac_dB}PACKAGE_NAME${ac_dC}""${ac_dD}
809${ac_dA}PACKAGE_TARNAME${ac_dB}PACKAGE_TARNAME${ac_dC}""${ac_dD}
810${ac_dA}PACKAGE_VERSION${ac_dB}PACKAGE_VERSION${ac_dC}""${ac_dD}
811${ac_dA}PACKAGE_STRING${ac_dB}PACKAGE_STRING${ac_dC}""${ac_dD}
812${ac_dA}PACKAGE_BUGREPORT${ac_dB}PACKAGE_BUGREPORT${ac_dC}""${ac_dD}
813${ac_dA}STDC_HEADERS${ac_dB}STDC_HEADERS${ac_dC}1${ac_dD}
814${ac_dA}HAVE_SYS_WAIT_H${ac_dB}HAVE_SYS_WAIT_H${ac_dC}1${ac_dD}
815${ac_dA}HAVE_SYS_TYPES_H${ac_dB}HAVE_SYS_TYPES_H${ac_dC}1${ac_dD}
816${ac_dA}HAVE_SYS_STAT_H${ac_dB}HAVE_SYS_STAT_H${ac_dC}1${ac_dD}
817${ac_dA}HAVE_STDLIB_H${ac_dB}HAVE_STDLIB_H${ac_dC}1${ac_dD}
818${ac_dA}HAVE_STRING_H${ac_dB}HAVE_STRING_H${ac_dC}1${ac_dD}
819${ac_dA}HAVE_MEMORY_H${ac_dB}HAVE_MEMORY_H${ac_dC}1${ac_dD}
820${ac_dA}HAVE_STRINGS_H${ac_dB}HAVE_STRINGS_H${ac_dC}1${ac_dD}
821${ac_dA}HAVE_INTTYPES_H${ac_dB}HAVE_INTTYPES_H${ac_dC}1${ac_dD}
822${ac_dA}HAVE_STDINT_H${ac_dB}HAVE_STDINT_H${ac_dC}1${ac_dD}
823${ac_dA}HAVE_UNISTD_H${ac_dB}HAVE_UNISTD_H${ac_dC}1${ac_dD}
824${ac_dA}HAVE_SYS_IOCTL_H${ac_dB}HAVE_SYS_IOCTL_H${ac_dC}1${ac_dD}
825${ac_dA}HAVE_SYS_UIO_H${ac_dB}HAVE_SYS_UIO_H${ac_dC}1${ac_dD}
826${ac_dA}HAVE_SYS_SYSLOG_H${ac_dB}HAVE_SYS_SYSLOG_H${ac_dC}1${ac_dD}
827${ac_dA}HAVE_ASSERT_H${ac_dB}HAVE_ASSERT_H${ac_dC}1${ac_dD}
828${ac_dA}HAVE_UNISTD_H${ac_dB}HAVE_UNISTD_H${ac_dC}1${ac_dD}
829${ac_dA}HAVE_NETINET_IN_SYSTM_H${ac_dB}HAVE_NETINET_IN_SYSTM_H${ac_dC}1${ac_dD}
830${ac_dA}TIME_WITH_SYS_TIME${ac_dB}TIME_WITH_SYS_TIME${ac_dC}1${ac_dD}
831${ac_dA}SIZEOF_INT${ac_dB}SIZEOF_INT${ac_dC}4${ac_dD}
832${ac_dA}RETSIGTYPE${ac_dB}RETSIGTYPE${ac_dC}void${ac_dD}
833${ac_dA}HAVE_SETSOCKOPT${ac_dB}HAVE_SETSOCKOPT${ac_dC}1${ac_dD}
834${ac_dA}HAVE_SELECT${ac_dB}HAVE_SELECT${ac_dC}1${ac_dD}
835${ac_dA}HAVE_SOCKET${ac_dB}HAVE_SOCKET${ac_dC}1${ac_dD}
836${ac_dA}HAVE_FOPEN${ac_dB}HAVE_FOPEN${ac_dC}1${ac_dD}
837${ac_dA}HAVE_FCLOSE${ac_dB}HAVE_FCLOSE${ac_dC}1${ac_dD}
838${ac_dA}HAVE_UNLINK${ac_dB}HAVE_UNLINK${ac_dC}1${ac_dD}
839${ac_dA}HAVE_FGETS${ac_dB}HAVE_FGETS${ac_dC}1${ac_dD}
840${ac_dA}HAVE_FFLUSH${ac_dB}HAVE_FFLUSH${ac_dC}1${ac_dD}
841${ac_dA}HAVE_STRNCPY${ac_dB}HAVE_STRNCPY${ac_dC}1${ac_dD}
842${ac_dA}HAVE_DECL_SIOCGIFADDR${ac_dB}HAVE_DECL_SIOCGIFADDR${ac_dC}0${ac_dD}
843${ac_dA}HAVE_DECL_SIOCGIFFLAGS${ac_dB}HAVE_DECL_SIOCGIFFLAGS${ac_dC}0${ac_dD}
844CEOF
845  sed -f $tmp/defines.sed $tmp/in >$tmp/out
846  rm -f $tmp/in
847  mv $tmp/out $tmp/in
848
849  fi # grep
850
851  # Handle all the #undef templates
852  cat >$tmp/undefs.sed <<CEOF
853/^[	 ]*#[	 ]*undef/!b
854t clr
855: clr
856${ac_uA}PACKAGE_NAME${ac_uB}PACKAGE_NAME${ac_uC}""${ac_uD}
857${ac_uA}PACKAGE_TARNAME${ac_uB}PACKAGE_TARNAME${ac_uC}""${ac_uD}
858${ac_uA}PACKAGE_VERSION${ac_uB}PACKAGE_VERSION${ac_uC}""${ac_uD}
859${ac_uA}PACKAGE_STRING${ac_uB}PACKAGE_STRING${ac_uC}""${ac_uD}
860${ac_uA}PACKAGE_BUGREPORT${ac_uB}PACKAGE_BUGREPORT${ac_uC}""${ac_uD}
861${ac_uA}STDC_HEADERS${ac_uB}STDC_HEADERS${ac_uC}1${ac_uD}
862${ac_uA}HAVE_SYS_WAIT_H${ac_uB}HAVE_SYS_WAIT_H${ac_uC}1${ac_uD}
863${ac_uA}HAVE_SYS_TYPES_H${ac_uB}HAVE_SYS_TYPES_H${ac_uC}1${ac_uD}
864${ac_uA}HAVE_SYS_STAT_H${ac_uB}HAVE_SYS_STAT_H${ac_uC}1${ac_uD}
865${ac_uA}HAVE_STDLIB_H${ac_uB}HAVE_STDLIB_H${ac_uC}1${ac_uD}
866${ac_uA}HAVE_STRING_H${ac_uB}HAVE_STRING_H${ac_uC}1${ac_uD}
867${ac_uA}HAVE_MEMORY_H${ac_uB}HAVE_MEMORY_H${ac_uC}1${ac_uD}
868${ac_uA}HAVE_STRINGS_H${ac_uB}HAVE_STRINGS_H${ac_uC}1${ac_uD}
869${ac_uA}HAVE_INTTYPES_H${ac_uB}HAVE_INTTYPES_H${ac_uC}1${ac_uD}
870${ac_uA}HAVE_STDINT_H${ac_uB}HAVE_STDINT_H${ac_uC}1${ac_uD}
871${ac_uA}HAVE_UNISTD_H${ac_uB}HAVE_UNISTD_H${ac_uC}1${ac_uD}
872${ac_uA}HAVE_SYS_IOCTL_H${ac_uB}HAVE_SYS_IOCTL_H${ac_uC}1${ac_uD}
873${ac_uA}HAVE_SYS_UIO_H${ac_uB}HAVE_SYS_UIO_H${ac_uC}1${ac_uD}
874${ac_uA}HAVE_SYS_SYSLOG_H${ac_uB}HAVE_SYS_SYSLOG_H${ac_uC}1${ac_uD}
875${ac_uA}HAVE_ASSERT_H${ac_uB}HAVE_ASSERT_H${ac_uC}1${ac_uD}
876${ac_uA}HAVE_UNISTD_H${ac_uB}HAVE_UNISTD_H${ac_uC}1${ac_uD}
877${ac_uA}HAVE_NETINET_IN_SYSTM_H${ac_uB}HAVE_NETINET_IN_SYSTM_H${ac_uC}1${ac_uD}
878${ac_uA}TIME_WITH_SYS_TIME${ac_uB}TIME_WITH_SYS_TIME${ac_uC}1${ac_uD}
879${ac_uA}SIZEOF_INT${ac_uB}SIZEOF_INT${ac_uC}4${ac_uD}
880${ac_uA}RETSIGTYPE${ac_uB}RETSIGTYPE${ac_uC}void${ac_uD}
881${ac_uA}HAVE_SETSOCKOPT${ac_uB}HAVE_SETSOCKOPT${ac_uC}1${ac_uD}
882${ac_uA}HAVE_SELECT${ac_uB}HAVE_SELECT${ac_uC}1${ac_uD}
883${ac_uA}HAVE_SOCKET${ac_uB}HAVE_SOCKET${ac_uC}1${ac_uD}
884${ac_uA}HAVE_FOPEN${ac_uB}HAVE_FOPEN${ac_uC}1${ac_uD}
885${ac_uA}HAVE_FCLOSE${ac_uB}HAVE_FCLOSE${ac_uC}1${ac_uD}
886${ac_uA}HAVE_UNLINK${ac_uB}HAVE_UNLINK${ac_uC}1${ac_uD}
887${ac_uA}HAVE_FGETS${ac_uB}HAVE_FGETS${ac_uC}1${ac_uD}
888${ac_uA}HAVE_FFLUSH${ac_uB}HAVE_FFLUSH${ac_uC}1${ac_uD}
889${ac_uA}HAVE_STRNCPY${ac_uB}HAVE_STRNCPY${ac_uC}1${ac_uD}
890${ac_uA}HAVE_DECL_SIOCGIFADDR${ac_uB}HAVE_DECL_SIOCGIFADDR${ac_uC}0${ac_uD}
891${ac_uA}HAVE_DECL_SIOCGIFFLAGS${ac_uB}HAVE_DECL_SIOCGIFFLAGS${ac_uC}0${ac_uD}
892s,^[	 ]*#[	 ]*undef[	 ][	 ]*[a-zA-Z_][a-zA-Z_0-9]*,/* & */,
893CEOF
894  sed -f $tmp/undefs.sed $tmp/in >$tmp/out
895  rm -f $tmp/in
896  mv $tmp/out $tmp/in
897
898  # Let's still pretend it is `configure' which instantiates (i.e., don't
899  # use $as_me), people would be surprised to read:
900  #    /* config.h.  Generated by config.status.  */
901  if test x"$ac_file" = x-; then
902    echo "/* Generated by configure.  */" >$tmp/config.h
903  else
904    echo "/* $ac_file.  Generated by configure.  */" >$tmp/config.h
905  fi
906  cat $tmp/in >>$tmp/config.h
907  rm -f $tmp/in
908  if test x"$ac_file" != x-; then
909    if diff $ac_file $tmp/config.h >/dev/null 2>&1; then
910      { echo "$as_me:$LINENO: $ac_file is unchanged" >&5
911echo "$as_me: $ac_file is unchanged" >&6;}
912    else
913      ac_dir=`(dirname "$ac_file") 2>/dev/null ||
914$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
915	 X"$ac_file" : 'X\(//\)[^/]' \| \
916	 X"$ac_file" : 'X\(//\)$' \| \
917	 X"$ac_file" : 'X\(/\)' \| \
918	 .     : '\(.\)' 2>/dev/null ||
919echo X"$ac_file" |
920    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
921  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
922  	  /^X\(\/\/\)$/{ s//\1/; q; }
923  	  /^X\(\/\).*/{ s//\1/; q; }
924  	  s/.*/./; q'`
925      { if $as_mkdir_p; then
926    mkdir -p "$ac_dir"
927  else
928    as_dir="$ac_dir"
929    as_dirs=
930    while test ! -d "$as_dir"; do
931      as_dirs="$as_dir $as_dirs"
932      as_dir=`(dirname "$as_dir") 2>/dev/null ||
933$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
934	 X"$as_dir" : 'X\(//\)[^/]' \| \
935	 X"$as_dir" : 'X\(//\)$' \| \
936	 X"$as_dir" : 'X\(/\)' \| \
937	 .     : '\(.\)' 2>/dev/null ||
938echo X"$as_dir" |
939    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
940  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
941  	  /^X\(\/\/\)$/{ s//\1/; q; }
942  	  /^X\(\/\).*/{ s//\1/; q; }
943  	  s/.*/./; q'`
944    done
945    test ! -n "$as_dirs" || mkdir $as_dirs
946  fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
947echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
948   { (exit 1); exit 1; }; }; }
949
950      rm -f $ac_file
951      mv $tmp/config.h $ac_file
952    fi
953  else
954    cat $tmp/config.h
955    rm -f $tmp/config.h
956  fi
957done
958
959{ (exit 0); exit 0; }
960